%{?nodejs_find_provides_and_requires}
%global packagename es6-iterator
%global enable_tests 0
Name:                   nodejs-es6-iterator
Version:                2.0.3
Release:                1
Summary:                Iterator abstraction based on ES6 specification
License:                MIT
URL:                    https://github.com/medikoo/es6-iterator.git
Source0:                https://github.com/medikoo/es6-iterator/archive/v%{version}.tar.gz
BuildArch:	        noarch
ExclusiveArch:          %{nodejs_arches} noarch
ExclusiveArch:          %{ix86} x86_64 %{arm} noarch
BuildRequires:          nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:          npm(tad)
%endif
Requires:            	nodejs
%description
Iterator abstraction based on ES6 specification

%prep
%autosetup -n es6-iterator-%{version}
%nodejs_fixdep d "<=2.0.0"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \#/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jul 06 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 2.0.3-1
- Upgrade to 2.0.3

* Tue Aug 18 2020 Anan Fu <fuanan3@huawei.com> - 2.0.0-1
- package init
